<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0.50
 */

$yungen_template_args = get_query_var( 'yungen_template_args' );
if ( is_array( $yungen_template_args ) ) {
	$yungen_columns    = empty( $yungen_template_args['columns'] ) ? 2 : max( 1, $yungen_template_args['columns'] );
	$yungen_blog_style = array( $yungen_template_args['type'], $yungen_columns );
} else {
	$yungen_blog_style = explode( '_', yungen_get_theme_option( 'blog_style' ) );
	$yungen_columns    = empty( $yungen_blog_style[1] ) ? 2 : max( 1, $yungen_blog_style[1] );
}
$yungen_blog_id       = yungen_get_custom_blog_id( join( '_', $yungen_blog_style ) );
$yungen_blog_style[0] = str_replace( 'blog-custom-', '', $yungen_blog_style[0] );
$yungen_expanded      = ! yungen_sidebar_present() && yungen_is_on( yungen_get_theme_option( 'expand_content' ) );
$yungen_animation     = yungen_get_theme_option( 'blog_animation' );
$yungen_components    = yungen_array_get_keys_by_value( yungen_get_theme_option( 'meta_parts' ) );

$yungen_post_format   = get_post_format();
$yungen_post_format   = empty( $yungen_post_format ) ? 'standard' : str_replace( 'post-format-', '', $yungen_post_format );

$yungen_blog_meta     = yungen_get_custom_layout_meta( $yungen_blog_id );
$yungen_custom_style  = ! empty( $yungen_blog_meta['scripts_required'] ) ? $yungen_blog_meta['scripts_required'] : 'none';

if ( ! empty( $yungen_template_args['slider'] ) || $yungen_columns > 1 || ! yungen_is_off( $yungen_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $yungen_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo ( yungen_is_off( $yungen_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $yungen_custom_style ) ) . '-1_' . esc_attr( $yungen_columns );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" 
<?php
	post_class(
			'post_item post_format_' . esc_attr( $yungen_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $yungen_columns )
					. ' post_layout_' . esc_attr( $yungen_blog_style[0] )
					. ' post_layout_' . esc_attr( $yungen_blog_style[0] ) . '_' . esc_attr( $yungen_columns )
					. ( ! yungen_is_off( $yungen_custom_style )
						? ' post_layout_' . esc_attr( $yungen_custom_style )
							. ' post_layout_' . esc_attr( $yungen_custom_style ) . '_' . esc_attr( $yungen_columns )
						: ''
						)
		);
	echo ( ! yungen_is_off( $yungen_animation ) && empty( $yungen_template_args['slider'] ) ? ' data-animation="' . esc_attr( yungen_get_animation_classes( $yungen_animation ) ) . '"' : '' );
?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'yungen_action_show_layout', $yungen_blog_id );
	?>
</article><?php
if ( ! empty( $yungen_template_args['slider'] ) || $yungen_columns > 1 || ! yungen_is_off( $yungen_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
