<?php
/**
 * The Gallery template to display posts
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */

$yungen_template_args = get_query_var( 'yungen_template_args' );
if ( is_array( $yungen_template_args ) ) {
	$yungen_columns    = empty( $yungen_template_args['columns'] ) ? 2 : max( 1, $yungen_template_args['columns'] );
	$yungen_blog_style = array( $yungen_template_args['type'], $yungen_columns );
} else {
	$yungen_blog_style = explode( '_', yungen_get_theme_option( 'blog_style' ) );
	$yungen_columns    = empty( $yungen_blog_style[1] ) ? 2 : max( 1, $yungen_blog_style[1] );
}
$yungen_post_format = get_post_format();
$yungen_post_format = empty( $yungen_post_format ) ? 'standard' : str_replace( 'post-format-', '', $yungen_post_format );
$yungen_animation   = yungen_get_theme_option( 'blog_animation' );
$yungen_image       = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'full' );

?><div class="
<?php
if ( ! empty( $yungen_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $yungen_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $yungen_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $yungen_columns )
		. ' post_layout_gallery'
		. ' post_layout_gallery_' . esc_attr( $yungen_columns )
	);
	echo ( ! yungen_is_off( $yungen_animation ) && empty( $yungen_template_args['slider'] ) ? ' data-animation="' . esc_attr( yungen_get_animation_classes( $yungen_animation ) ) . '"' : '' );
	?>
	data-size="
		<?php
		if ( ! empty( $yungen_image[1] ) && ! empty( $yungen_image[2] ) ) {
			echo intval( $yungen_image[1] ) . 'x' . intval( $yungen_image[2] );}
		?>
	"
	data-src="
		<?php
		if ( ! empty( $yungen_image[0] ) ) {
			echo esc_url( $yungen_image[0] );}
		?>
	"
>
<?php

	// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	// Featured image
	$yungen_image_hover = 'icon';
if ( in_array( $yungen_image_hover, array( 'icons', 'zoom' ) ) ) {
	$yungen_image_hover = 'dots';
}
$yungen_components = yungen_array_get_keys_by_value( yungen_get_theme_option( 'meta_parts' ) );
yungen_show_post_featured(
	array(
		'hover'         => $yungen_image_hover,
		'no_links'      => ! empty( $yungen_template_args['no_links'] ),
		'thumb_size'    => yungen_get_thumb_size( strpos( yungen_get_theme_option( 'body_style' ), 'full' ) !== false || $yungen_columns < 3 ? 'masonry-big' : 'masonry' ),
		'thumb_only'    => true,
		'show_no_image' => true,
		'post_info'     => '<div class="post_details">'
						. '<h2 class="post_title">'
							. ( empty( $yungen_template_args['no_links'] )
								? '<a href="' . esc_url( get_permalink() ) . '">' . esc_html( get_the_title() ) . '</a>'
								: esc_html( get_the_title() )
								)
						. '</h2>'
						. '<div class="post_description">'
							. ( ! empty( $yungen_components )
								? yungen_show_post_meta(
									apply_filters(
										'yungen_filter_post_meta_args', array(
											'components' => $yungen_components,
											'seo'      => false,
											'echo'     => false,
										), $yungen_blog_style[0], $yungen_columns
									)
								)
								: ''
								)
							. ( empty( $yungen_template_args['hide_excerpt'] )
								? '<div class="post_description_content">' . get_the_excerpt() . '</div>'
								: ''
								)
							. ( empty( $yungen_template_args['no_links'] )
								? '<a href="' . esc_url( get_permalink() ) . '" class="theme_button post_readmore"><span class="post_readmore_label">' . esc_html__( 'Learn more', 'yungen' ) . '</span></a>'
								: ''
								)
						. '</div>'
					. '</div>',
	)
);
?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!
