<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */

$yungen_template_args = get_query_var( 'yungen_template_args' );

if ( is_array( $yungen_template_args ) ) {
	$yungen_columns    = empty( $yungen_template_args['columns'] ) ? 2 : max( 1, $yungen_template_args['columns'] );
	$yungen_blog_style = array( $yungen_template_args['type'], $yungen_columns );
} else {
	$yungen_blog_style = explode( '_', yungen_get_theme_option( 'blog_style' ) );
	$yungen_columns    = empty( $yungen_blog_style[1] ) ? 2 : max( 1, $yungen_blog_style[1] );
}
$yungen_post_format = get_post_format();
$yungen_post_format = empty( $yungen_post_format ) ? 'standard' : str_replace( 'post-format-', '', $yungen_post_format );
$yungen_animation   = yungen_get_theme_option( 'blog_animation' );

?><div class="
<?php
if ( ! empty( $yungen_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $yungen_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $yungen_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $yungen_columns )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	echo ( ! yungen_is_off( $yungen_animation ) && empty( $yungen_template_args['slider'] ) ? ' data-animation="' . esc_attr( yungen_get_animation_classes( $yungen_animation ) ) . '"' : '' );
	?>
>
<?php

// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

	$yungen_image_hover = ! empty( $yungen_template_args['hover'] ) && ! yungen_is_inherit( $yungen_template_args['hover'] )
								? $yungen_template_args['hover']
								: yungen_get_theme_option( 'image_hover' );
	// Featured image
	yungen_show_post_featured(
		array(
			'hover'         => $yungen_image_hover,
			'no_links'      => ! empty( $yungen_template_args['no_links'] ),
			'thumb_size'    => yungen_get_thumb_size(
				strpos( yungen_get_theme_option( 'body_style' ), 'full' ) !== false || $yungen_columns < 3
								? 'masonry-big'
				: 'masonry'
			),
			'show_no_image' => true,
			'class'         => 'dots' == $yungen_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $yungen_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!