<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js
									<?php
										// Class scheme_xxx need in the <html> as context for the <body>!
										echo ' scheme_' . esc_attr( yungen_get_theme_option( 'color_scheme' ) );
									?>
										">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>

	<?php wp_body_open(); ?>

	<?php do_action( 'yungen_action_before_body' ); ?>

	<div class="body_wrap<?php echo esc_attr( strpos( yungen_get_theme_option('color_scheme'), 'alter') !== false  ? ' alter_bg' : ''); ?>">

		<div class="page_wrap">
			<?php
			// Desktop header
			$yungen_header_type = yungen_get_theme_option( 'header_type' );
			if ( 'custom' == $yungen_header_type && ! yungen_is_layouts_available() ) {
				$yungen_header_type = 'default';
			}
			get_template_part( apply_filters( 'yungen_filter_get_template_part', "templates/header-{$yungen_header_type}" ) );

			// Side menu
			if ( in_array( yungen_get_theme_option( 'menu_style' ), array( 'left', 'right' ) ) ) {
				get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-navi-side' ) );
			}

			// Mobile menu
			get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-navi-mobile' ) );
			
			// Single posts banner after header
			yungen_show_post_banner( 'header' );
			?>

			<div class="page_content_wrap">
				<?php
				// Single posts banner on the background
				if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {

					yungen_show_post_banner( 'background' );

					$yungen_post_thumbnail_type  = yungen_get_theme_option( 'post_thumbnail_type' );
					$yungen_post_header_position = yungen_get_theme_option( 'post_header_position' );
					$yungen_post_header_align    = yungen_get_theme_option( 'post_header_align' );

					// Boxed post thumbnail
					if ( in_array( $yungen_post_thumbnail_type, array( 'boxed', 'fullwidth') ) ) {
						ob_start();
						?>
						<div class="header_content_wrap header_align_<?php echo esc_attr( $yungen_post_header_align ); ?>">
							<?php
							if ( 'boxed' === $yungen_post_thumbnail_type ) {
								?>
								<div class="content_wrap">
								<?php
							}

							// Post title and meta
							if ( 'above' === $yungen_post_header_position ) {
								yungen_show_post_title_and_meta();
							}

							// Featured image
							yungen_show_post_featured_image();

							// Post title and meta
							if ( in_array( $yungen_post_header_position, array( 'under', 'on_thumb' ) ) ) {
								yungen_show_post_title_and_meta();
							}

							if ( 'boxed' === $yungen_post_thumbnail_type ) {
								?>
								</div>
								<?php
							}
							?>
						</div>
						<?php
						$yungen_post_header = ob_get_contents();
						ob_end_clean();
						if ( strpos( $yungen_post_header, 'post_featured' ) !== false
                            || strpos( $yungen_post_header, 'post_title' ) !== false
						    || strpos( $yungen_post_header, 'post_meta' ) !== false
                        ) {
							yungen_show_layout( $yungen_post_header );
						}
					}
				}

				// Widgets area above page content
				$yungen_body_style   = yungen_get_theme_option( 'body_style' );
				$yungen_widgets_name = yungen_get_theme_option( 'widgets_above_page' );
				$yungen_show_widgets = ! yungen_is_off( $yungen_widgets_name ) && is_active_sidebar( $yungen_widgets_name );
				if ( $yungen_show_widgets ) {
					if ( 'fullscreen' != $yungen_body_style ) {
						?>
						<div class="content_wrap">
							<?php
					}
					yungen_create_widgets_area( 'widgets_above_page' );
					if ( 'fullscreen' != $yungen_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}
				}

				// Content area
				if ( 'fullscreen' != $yungen_body_style ) {
					?>
					<div class="content_wrap">
						<?php
				}
				?>

				<div class="content">
					<?php
					// Widgets area inside page content
					yungen_create_widgets_area( 'widgets_above_content' );
