<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */

yungen_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	yungen_blog_archive_start();

	$yungen_classes    = 'posts_container '
						. ( substr( yungen_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic'
							? 'columns_wrap columns_padding_bottom'
							: 'masonry_wrap'
							);
	$yungen_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$yungen_sticky_out = yungen_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $yungen_stickies ) && count( $yungen_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $yungen_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $yungen_sticky_out ) {
		if ( yungen_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( yungen_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'yungen_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}

		?>
		<div class="<?php echo esc_attr( $yungen_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $yungen_sticky_out && ! is_sticky() ) {
			$yungen_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $yungen_classes ); ?>">
			<?php
		}
		$yungen_part = $yungen_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'content', $yungen_part ), $yungen_part );
	}

	?>
	</div>
	<?php

	yungen_show_pagination();

	yungen_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
