<?php
/**
 * The template for homepage posts with custom style
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0.50
 */

yungen_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	$yungen_blog_style = yungen_get_theme_option( 'blog_style' );
	$yungen_parts      = explode( '_', $yungen_blog_style );
	$yungen_columns    = ! empty( $yungen_parts[1] ) ? max( 1, min( 6, (int) $yungen_parts[1] ) ) : 1;
	$yungen_blog_id    = yungen_get_custom_blog_id( $yungen_blog_style );
	$yungen_blog_meta  = yungen_get_custom_layout_meta( $yungen_blog_id );
	if ( ! empty( $yungen_blog_meta['margin'] ) ) {
		yungen_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( yungen_prepare_css_value( $yungen_blog_meta['margin'] ) ) ) );
	}
	$yungen_custom_style = ! empty( $yungen_blog_meta['scripts_required'] ) ? $yungen_blog_meta['scripts_required'] : 'none';

	yungen_blog_archive_start();

	$yungen_classes    = 'posts_container blog_custom_wrap' 
							. ( ! yungen_is_off( $yungen_custom_style )
								? sprintf( ' %s_wrap', $yungen_custom_style )
								: ( $yungen_columns > 1 
									? ' columns_wrap columns_padding_bottom' 
									: ''
									)
								);
	$yungen_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$yungen_sticky_out = yungen_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $yungen_stickies ) && count( $yungen_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $yungen_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $yungen_sticky_out ) {
		if ( yungen_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( yungen_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'yungen_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}
		?>
		<div class="<?php echo esc_attr( $yungen_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $yungen_sticky_out && ! is_sticky() ) {
			$yungen_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $yungen_classes ); ?>">
			<?php
		}
		$yungen_part = $yungen_sticky_out && is_sticky() ? 'sticky' : 'custom';
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'content', $yungen_part ), $yungen_part );
	}
	?>
	</div>
	<?php

	yungen_show_pagination();

	yungen_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
