<?php
// Add plugin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'yungen_tribe_events_get_css' ) ) {
	add_filter( 'yungen_filter_get_css', 'yungen_tribe_events_get_css', 10, 2 );
	function yungen_tribe_events_get_css( $css, $args ) {
		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS
			
.tribe-events-list .tribe-events-list-event-title,
.tribe-common .tribe-common-h1, .tribe-common .tribe-common-h2,
.tribe-common .tribe-common-h3, .tribe-common .tribe-common-h6,
.tribe-events-calendar-day__event-title.tribe-common-h6.tribe-common-h4--min-medium a,
.tribe-events-calendar-list__event-title.tribe-common-h6.tribe-common-h4--min-medium a,
.tribe-common .tribe-common-h7, 
.tribe-events-calendar-month__header-column-title.tribe-common-b3,
.tribe-common .tribe-common-anchor-alt  {
	{$fonts['h3_font-family']}
}
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button-text,
#tribe-events .tribe-events-button,
.tribe-events-button,
.tribe-events-cal-links a,
.tribe-events-sub-nav li a {
	{$fonts['button_font-family']}
	{$fonts['button_font-size']}
	{$fonts['button_font-weight']}
	{$fonts['button_font-style']}
	{$fonts['button_line-height']}
	{$fonts['button_text-decoration']}
	{$fonts['button_text-transform']}
	{$fonts['button_letter-spacing']}
}
#tribe-bar-form button, #tribe-bar-form a,
.tribe-events-read-more,
.tribe-events-list .tribe-events-list-separator-month,
.tribe-events-c-view-selector__list-item-link,
.tribe-events-calendar thead th,
.tribe-events-schedule, .tribe-events-schedule h2,
.tribe-events .tribe-events-c-view-selector__list-item-text,
.tribe-common .tribe-common-h3 .tribe-events-c-top-bar__datepicker-desktop 
.tribe-common .tribe-common-c-btn.tribe-events-c-search__button,
.tribe-common .tribe-common-c-btn-border, .tribe-common a.tribe-common-c-btn-border,
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-nav__next, 
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-nav__prev,
.tribe-common .tribe-common-c-btn, .tribe-common a.tribe-common-c-btn,
.tribe-common .tribe-common-c-btn-border, .tribe-common a.tribe-common-c-btn-border,
.tribe-events-c-nav__list-item.tribe-events-c-nav__list-item--prev .tribe-events-c-nav__prev,
.tribe-events-c-nav__list-item.tribe-events-c-nav__list-item--next .tribe-events-c-nav__next,
.tribe-common .tribe-common-anchor-alt, .tribe-events .tribe-events-c-ical__lin,
.tribe-common--breakpoint-medium.tribe-common .tribe-common-b3--min-medium,
.tribe-common .tribe-common-c-btn-border-small, .tribe-common a.tribe-common-c-btn-border-small   {
	{$fonts['button_font-family']}
	{$fonts['button_letter-spacing']}
}

.tribe-events-list .tribe-events-list-separator-month,
.tribe-events-calendar thead th,
.tribe-events-schedule, .tribe-events-schedule h2,
.tribe-events-calendar td div[id*="tribe-events-daynum-"], 
.tribe-events-calendar td div[id*="tribe-events-daynum-"] a, 
.tribe-common--breakpoint-medium.tribe-common .tribe-common-h6--min-medium,
.tribe-events-calendar-day__event-title.tribe-common-h6.tribe-common-h4--min-medium,
.tribe-events-calendar-list__event-title.tribe-common-h6.tribe-common-h4--min-medium,
.tribe-common .tribe-common-h4, .tribe-common .tribe-common-h5, .tribe-common .tribe-common-h8,
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
.single-tribe_events .tribe-events-meta-group .tribe-events-single-section-title,
.tribe-common-h3.tribe-common-h--alt.tribe-events-c-top-bar__datepicker-button,
.tribe-common .tribe-events-c-nav__today.tribe-common-b2,
.tribe-common .tribe-events-calendar-list__month-separator .tribe-common-h7 ,
.tribe-common .tribe-events-calendar-day__type-separator .tribe-common-h7,
.tribe-common .tribe-events-calendar-month-mobile-events__day-marker .tribe-common-h7  {
	{$fonts['h5_font-family']}
}
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__list-item a,
#tribe-bar-form input, #tribe-events-content.tribe-events-month,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title,
#tribe-mobile-container .type-tribe_events,
.tribe-events-list-widget ol li .tribe-event-title,
.tribe-events .datepicker .day,
.tribe-common .tribe-common-b1,
.tribe-common .tribe-common-b2,
.tribe-events .tribe-events-calendar-month__calendar-event-datetime,
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-datetime,
.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input, 
.tribe-common .tribe-common-form-control-text__input,
.tribe-events .datepicker .month, .tribe-events .datepicker .year,
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday,
.tribe-events-c-ical.tribe-common-b2.tribe-common-b3--min-medium,
.tribe-events .datepicker .datepicker-switch, .tribe-events .datepicker table th.dow,
.tribe-common .tribe-events-calendar-month__calendar-event-tooltip-description.tribe-common-b3,
.tribe-events-content,
.tribe-events-event-meta {
	{$fonts['p_font-family']}
}
.tribe-events-loop .tribe-event-schedule-details,
.single-tribe_events #tribe-events-content .tribe-events-event-meta dt,
#tribe-mobile-container .type-tribe_events .tribe-event-date-start {
	{$fonts['info_font-family']};
}

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			$css['vars'] .= <<<CSS

#tribe-bar-form .tribe-bar-submit input[type="submit"],
#tribe-bar-form button,
#tribe-bar-form a,
#tribe-events .tribe-events-button,
#tribe-bar-views .tribe-bar-views-list,
.tribe-events-button,
.tribe-events-cal-links a,
#tribe-events-footer ~ a.tribe-events-ical.tribe-events-button,
.tribe-events-sub-nav li a {
}

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS

/* Filters bar */
#tribe-bar-form {
	color: {$colors['text_dark']};
}
#tribe-bar-form input[type="text"] {
	color: {$colors['input_text']};
	border-color: {$colors['input_bd_color']};
}
#tribe-bar-form input[type="text"]:focus {
	color: {$colors['input_dark']};
	border-color: {$colors['input_bd_hover']};
}
.datepicker thead tr:first-child th:hover, .datepicker tfoot tr th:hover {
	color: {$colors['text_link']};
	background: {$colors['text_dark']};
}


/* Content */

.tribe-events-calendar thead th {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']} !important;
}
.tribe-events-calendar thead th + th:before {
	background: {$colors['extra_dark']};
}
.tribe-events-calendar > tbody > tr:nth-child(2n+1) > td {
    background-color: {$colors['bg_color']};
}
.tribe-events-calendar > tbody > tr:nth-child(2n) > td {
    background-color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar th {
  	border-color: {$colors['extra_bg_color']} !important;
}

#tribe-events-content .tribe-events-calendar td {
	border-color: {$colors['alter_bd_color']} !important;
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"] {
	color: {$colors['text_dark']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-events-calendar td div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_dark']};
}
.tribe-events-calendar td:hover div[id*="tribe-events-daynum-"] > a {
	color: {$colors['inverse_hover']};
}

.tribe-events-calendar td.tribe-events-othermonth {
	color: {$colors['alter_light']};
	background: {$colors['bg_color']} ;
}

.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] {
	color: {$colors['alter_dark']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-events-calendar td.tribe-events-othermonth div[id*="tribe-events-daynum-"] > a {
	color: {$colors['alter_dark']};
	background-color: transparent;
}
 #tribe-events-content .tribe-events-calendar td.tribe-events-othermonth:hover div[id*="tribe-events-daynum-"],
 #tribe-events-content .tribe-events-calendar td div[id*="tribe-events-daynum-"] {
	color: {$colors['alter_dark']};
	background-color: {$colors['alter_bg_color']};
}

#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth,
#tribe-events-content .tribe-events-calendar td {
	background: {$colors['bg_color']} ;
}
#tribe-events-content .tribe-events-calendar td:hover {
	background:{$colors['bg_color']};
}

 #tribe-events-content .tribe-events-calendar td:hover div[id*="tribe-events-daynum-"] {
	color: {$colors['inverse_hover']};
	background-color: {$colors['text_link']};
}
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-past div[id*="tribe-events-daynum-"] > a {
	color: {$colors['text_dark']};
	background: {$colors['alter_bg_color']};
}
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"],
.tribe-events-calendar td.tribe-events-present div[id*="tribe-events-daynum-"] > a {
	color: {$colors['inverse_link']} !important;
	background-color: {$colors['text_hover']} !important;
}
.tribe-events-calendar td.tribe-events-present:before {
	border-color: {$colors['alter_bd_color']};
}
.tribe-events-calendar .tribe-events-has-events:after {
	background-color: {$colors['text']};
}
.tribe-events-calendar .mobile-active.tribe-events-has-events:after {
	background-color: {$colors['text_link']};
}
#tribe-events-content .tribe-events-calendar td,
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a {
	color: {$colors['text']};
}
#tribe-events-content .tribe-events-calendar div[id*="tribe-events-event-"] h3.tribe-events-month-event-title a:hover {
	color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active,
#tribe-events-content .tribe-events-calendar td.mobile-active:hover {
	color: {$colors['text']};
	background-color: {$colors['bg_color']};
}
#tribe-events-content .tribe-events-calendar td.mobile-active div[id*="tribe-events-daynum-"],
#tribe-events-content .tribe-events-calendar td.mobile-active:hover div[id*="tribe-events-daynum-"]{
	color: {$colors['bg_color']};
	background-color: {$colors['text_dark']};
}
#tribe-events-content .tribe-events-calendar td.tribe-events-othermonth.mobile-active div[id*="tribe-events-daynum-"] a,
.tribe-events-calendar .mobile-active div[id*="tribe-events-daynum-"] a {
	background-color: transparent;
	color: {$colors['bg_color']};
}
.events-archive.events-gridview #tribe-events-content table .type-tribe_events {
	border-color: {$colors['bd_color']};
}

#tribe-bar-form.tribe-bar-collapse #tribe-bar-collapse-toggle:focus,
#tribe-bar-form.tribe-bar-collapse #tribe-bar-collapse-toggle:hover,
#tribe-bar-form.tribe-bar-collapse #tribe-bar-collapse-toggle {
	color: {$colors['inverse_hover']};
	background-color: {$colors['text_link']};
}
#tribe-bar-form.tribe-bar-collapse .tribe-bar-filters {
	background: {$colors['alter_bg_color']};
}

.tribe-events-content,
.single-tribe_events .tribe-events-single .tribe-events-event-meta {
	color: {$colors['text']};
}

/* Tooltip */
.recurring-info-tooltip,
.tribe-events-calendar .tribe-events-tooltip,
.tribe-events-week .tribe-events-tooltip,
.tribe-events-shortcode.view-week .tribe-events-tooltip,
.tribe-events-tooltip .tribe-events-arrow {
	color: {$colors['alter_text']};
	background: {$colors['alter_bg_color']};
	border-color: {$colors['alter_bd_color']};
}
#tribe-events-content .tribe-events-tooltip .summary { 
	color: {$colors['inverse_hover']};
	background: {$colors['text_dark']};
}
.tribe-events-tooltip .tribe-event-duration {
	color: {$colors['inverse_hover']};
}
/* Notice */


#tribe-bar-views-toggle.tribe-bar-views-toggle {
    color: {$colors['inverse_link']};
	background-color: {$colors['text_hover']};
}
#tribe-bar-views-toggle.tribe-bar-views-toggle:hover {
    color: {$colors['inverse_link']};
	background-color: {$colors['text_hover_blend']};
}
#tribe-bar-filters-wrap #tribe-bar-filters .tribe-bar-submit .tribe-events-button {
    color: {$colors['inverse_hover']};
	background-color: {$colors['text_link']};
}
#tribe-bar-filters-wrap #tribe-bar-filters .tribe-bar-submit .tribe-events-button:hover {
    color: {$colors['inverse_hover']};
	background-color: {$colors['text_link_blend']};
}

#tribe-bar-views .tribe-bar-views-list { 
	background: {$colors['alter_bg_color']};
}

#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active,
#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option {
	color: {$colors['text_dark']};
	background: {$colors['alter_bg_color']};
}
#tribe-bar-views li.tribe-bar-views-option:hover,
#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option.tribe-bar-active:hover {
	color: {$colors['inverse_hover']};
	background: {$colors['text_link']};
}

#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option {
    border-bottom-color: {$colors['alter_bd_color']};;
}  
#tribe-bar-views .tribe-bar-views-list .tribe-bar-views-option:hover {
    border-bottom-color: {$colors['text_link']};;
} 
/* Events list */
.tribe-events-list-separator-month {
	color: {$colors['text_dark']};
}
.tribe-events-list-separator-month:after {
	border-color: {$colors['bd_color']};
}
.tribe-events-list .type-tribe_events + .type-tribe_events,
.tribe-events-day .tribe-events-day-time-slot + .tribe-events-day-time-slot + .tribe-events-day-time-slot {
	border-color: {$colors['bd_color']};
}
.tribe-events-list-separator-month span {
	background-color: {$colors['bg_color']};	
}
.tribe-events-list .tribe-events-event-cost span {
	color: {$colors['extra_dark']};
	border-color: {$colors['extra_bg_color']};
	background: {$colors['extra_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_color']};
	background-color: {$colors['alter_bg_color']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a {
	color: {$colors['alter_link']};
}
.tribe-mobile .tribe-events-loop .tribe-events-event-meta a:hover {
	color: {$colors['alter_hover']};
}
.tribe-mobile .tribe-events-list .tribe-events-venue-details {
	border-color: {$colors['alter_bd_color']};
}

.single-tribe_events #tribe-events-footer,
.tribe-events-day #tribe-events-footer,
.events-list #tribe-events-footer,
.tribe-events-map #tribe-events-footer,
.tribe-events-photo #tribe-events-footer {
	border-color: {$colors['bd_color']};	
}

/* Events day */
.tribe-events-day .tribe-events-day-time-slot h5,
.tribe-events-day .tribe-events-day-time-slot .tribe-events-day-time-slot-heading {
	color: {$colors['extra_dark']};
	background: {$colors['extra_bg_color']};
}



/* Single Event */
.single-tribe_events .tribe-events-venue-map {
	color: {$colors['alter_text']};
	border-color: {$colors['alter_bd_hover']};
}
.single-tribe_events .tribe-events-schedule .tribe-events-cost {
	color: {$colors['text_dark']};
}
.single-tribe_events .type-tribe_events {
	border-color: {$colors['bd_color']};
}

.tribe-events-read-more:after {
	background-color: {$colors['bg_color']};	
}

/* DatePicker */
.datepicker .datepicker.dropdown-menu {
	background-color: {$colors['bg_color']};	
}
.datepicker table > tbody > tr:nth-child(2n+1) > td {
    background-color: {$colors['alter_bg_color']};	
}
.datepicker .datepicker-switch:hover,
.datepicker .next:hover,
.datepicker .prev:hover,
.datepicker tfoot tr th:hover {
    background: {$colors['extra_bg_color']};	
}
.datepicker .prev:hover,
.datepicker .next:hover {
   	color: {$colors['text_hover']}; 
}

.datepicker table tr td span.active.active,
.datepicker table tr td span.active.disabled,
.datepicker table tr td span.active.disabled.active,
.datepicker table tr td span.active.disabled.disabled,
.datepicker table tr td span.active.disabled:active, 
.datepicker table tr td span.active.disabled:hover,
.datepicker table tr td span.active.disabled:hover.active,
.datepicker table tr td span.active.disabled:hover.disabled,
.datepicker table tr td span.active.disabled:hover:active,
.datepicker table tr td span.active.disabled:hover:hover,
.datepicker table tr td span.active.disabled:hover[disabled],
.datepicker table tr td span.active.disabled[disabled],
.datepicker table tr td span.active:active,
.datepicker table tr td span.active:hover, 
.datepicker table tr td span.active:hover.active, 
.datepicker table tr td span.active:hover.disabled, 
.datepicker table tr td span.active:hover:active, 
.datepicker table tr td span.active:hover:hover,
.datepicker table tr td span.active:hover[disabled],
.datepicker table tr td span.active[disabled] {
     color: {$colors['inverse_hover']}; 
     background: {$colors['text_link']};	
}
.datepicker table tr td span.active.active,
.datepicker table tr td span.focused,
.datepicker table tr td span:hover {
     color: {$colors['inverse_link']}; 
     background: {$colors['text_hover']};	
}

.datepicker table tr td.day.focused, .datepicker table tr td.day:hover {
   color: {$colors['inverse_link']}; 
   background: {$colors['text_hover']};	
}
.datepicker table tr td.active.active,
.datepicker table tr td span.active.active,
.datepicker table tr td.active, 
.datepicker table tr td.active.disabled,
.datepicker table tr td.active.disabled:hover {
   color: {$colors['inverse_link']}; 
   background: {$colors['text_hover']};	
}

.datepicker table tr td.active:hover {
   color: {$colors['inverse_hover']}; 
   background: {$colors['text_link']};	
}


/* New Design */
.tribe-common a {
	color: {$colors['text_link']};
}
.tribe-common a:hover, 
.tribe-common a:active, 
.tribe-common a:focus{
	color: {$colors['text_hover']};
}
.tribe-events-calendar-day__event-datetime,
.tribe-events-calendar-list__event-datetime{
	color: {$colors['text_light']};
}
.tribe-events .tribe-events-calendar-month__calendar-event-tooltip-datetime {
	color: {$colors['text_dark']};
}
.tribe-events .tribe-events-calendar-list__event-date-tag-datetime {
	color: {$colors['inverse_link']};
}
.tribe-events .tribe-events-calendar-month__day-date-link {
	color: {$colors['text_link']};
}
.tribe-events .tribe-events-calendar-month__day-date-link:hover {
	color: {$colors['text_hover']};
}
.tribe-events-calendar-day__event-title.tribe-common-h6.tribe-common-h4--min-medium a,
.tribe-events-calendar-list__event-title .tribe-events-calendar-list__event-title-link,
.tribe-common .tribe-events-calendar-month__calendar-event-tooltip-title.tribe-common-h7 a{
	color: {$colors['text_link']};
}
.tribe-events-calendar-day__event-title.tribe-common-h6.tribe-common-h4--min-medium a:hover,
.tribe-events-calendar-list__event-title .tribe-events-calendar-list__event-title-link:hover,
.tribe-common .tribe-events-calendar-month__calendar-event-tooltip-title.tribe-common-h7 a:hover {
	color: {$colors['text_hover']};
}
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-view-selector--tabs .tribe-events-c-view-selector__list-item--active .tribe-events-c-view-selector__list-item-link:after {
	background: {$colors['text_hover']};
}

.tribe-common .tribe-events-c-top-bar__datepicker-time .tribe-common-h3 {
	color: {$colors['text_link']};
}

.tribe-events .tribe-events-c-view-selector__list-item-text {
	color: {$colors['text_link']};
}

.tribe-common .tribe-events-c-view-selector__list-item a:hover span,
.tribe-common .tribe-events-c-view-selector__list-item--active a span {
	color: {$colors['text_hover']};
}

.tribe-events .datepicker .prev .tribe-common-svgicon:before,
.tribe-events .datepicker .next .tribe-common-svgicon:before {
	color: {$colors['inverse_hover']} ;
}

.tribe-common .tribe-events-c-nav__next, 
.tribe-common .tribe-events-c-nav__prev {
	color: {$colors['text_link']} ;
}
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-nav__next:hover, 
.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-nav__prev:hover{
	color: {$colors['text_hover']} ;
}

.tribe-common .tribe-common-c-btn.tribe-events-c-search__button {
	color: {$colors['inverse_link']};
	background-color: {$colors['text_hover']} ;
}
.tribe-common .tribe-common-c-btn.tribe-events-c-search__button:hover {
	background-color: {$colors['text_link']} ;
}

.tribe-common .tribe-common-c-btn-border, .tribe-common a.tribe-common-c-btn-border {
	color: {$colors['inverse_hover']};
	background-color: {$colors['text_link']} ;
	border-color: {$colors['text_link']} ;
}
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button.tribe-events-c-subscribe-dropdown__button--active,
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus,
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus-within,
.single-tribe_events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:hover, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button.tribe-events-c-subscribe-dropdown__button--active,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:focus-within, 
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__button:hover,
.tribe-common .tribe-common-c-btn-border:focus, .tribe-common .tribe-common-c-btn-border:hover, 
.tribe-common a.tribe-common-c-btn-border:focus, .tribe-common a.tribe-common-c-btn-border:hover {
	background-color: {$colors['text_hover']} ;
	border-color: {$colors['text_hover']} ;
}

.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-month__day:hover:after {
	background-color: {$colors['text_hover']};
}

.tribe-common .tribe-common-anchor-alt,
.tribe-events .tribe-events-c-ical__link  {
	color: {$colors['inverse_hover']};
	background-color: {$colors['text_link']};
}

.tribe-common .tribe-common-anchor-alt:hover,
.tribe-events .tribe-events-c-ical__link:active, 
.tribe-events .tribe-events-c-ical__link:focus, 
.tribe-events .tribe-events-c-ical__link:hover {
	color: {$colors['inverse_hover']};
	background-color: {$colors['text_hover']};
}

.tribe-events .tribe-events-c-events-bar__search-button, 
.tribe-events .tribe-events-c-view-selector__button { 
	background: transparent !important;
}

.tribe-common .tribe-common-svgicon--list:before,
.tribe-events .tribe-events-c-events-bar__search-button-icon:before {
	color: {$colors['text_link']};
}

.tribe-common .tribe-common-svgicon--list:hover:before,
.tribe-events .tribe-events-c-events-bar__search-button-icon:hover:before {
	color: {$colors['text_hover']};
}

.tribe-events .tribe-events-c-events-bar__search-button:before,
.tribe-events .tribe-events-c-view-selector__button:before {
	background-color: {$colors['text_hover']};
}

.tribe-common .tribe-events-calendar-month__day-cell .tribe-events-calendar-month__day-date.tribe-common-h4{
	color: {$colors['text_light']};
}

.tribe-events .tribe-events-calendar-month__day-cell--mobile:focus, 
.tribe-events .tribe-events-calendar-month__day-cell--mobile:hover {
	background-color: {$colors['text_link']} !important;
}

.tribe-events .tribe-events-calendar-month__day-cell--mobile:focus .tribe-events-calendar-month__day-date-daynum, 
.tribe-events .tribe-events-calendar-month__day-cell--mobile:hover .tribe-events-calendar-month__day-date-daynum {
	color: {$colors['inverse_hover']};
}

.tribe-events .tribe-events-calendar-month__mobile-events-icon--event {
	background-color: {$colors['text_link']};
}

.tribe-events .tribe-events-calendar-month__day-cell--mobile:focus .tribe-events-calendar-month__mobile-events-icon--event, 
.tribe-events .tribe-events-calendar-month__day-cell--mobile:hover .tribe-events-calendar-month__mobile-events-icon--event {
	background-color: {$colors['inverse_hover']};
}

.tribe-common .tribe-events-view-loader .tribe-common-c-loader__dot {
	background-color: {$colors['text_link']};
}

.tribe-common--breakpoint-medium.tribe-common .tribe-common-h3 {
	color: {$colors['inverse_hover']};
	background-color: {$colors['text_link']};	
}
.tribe-common--breakpoint-medium.tribe-common .tribe-common-h3:hover {
	background-color: {$colors['text_hover']};	
}

.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon,
.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon {
	color: {$colors['text_link']};
}
.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon[disabled],
.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon[disabled] {
	border-color: transparent !important;
	background-color: transparent !important;
	color: {$colors['text_light']};
}

.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon:hover,
.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon:hover {
	color: {$colors['text_hover']};
}

.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon:before,
.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon:after{
	color: {$colors['text_link']};
}

.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon:hover:before,
.tribe-common .tribe-events-c-top-bar__nav-list .tribe-common-c-btn-icon:hover:after{
	color: {$colors['text_hover']};	
}

.tribe-events .tribe-events-calendar-month__multiday-event-bar-inner {
	color: {$colors['inverse_hover']};
	background-color: {$colors['alter_bg_color']};	
}

.tribe-events .tribe-events-c-nav__prev:disabled,
.tribe-events .tribe-events-c-nav__next:disabled {
	color: {$colors['text_light']} !important;
	background: transparent !important;
}

.tribe-events .datepicker .datepicker-switch {
	color: {$colors['inverse_hover']};
}
.tribe-events .datepicker table th {
	background-color: {$colors['text_link']};
}

.tribe-events .table-condensed th{
	color: {$colors['inverse_hover']};
}

.tribe-events .table-condensed th:hover{
	background-color: {$colors['text_link']} !important;
}

.tribe-events .datepicker .day.active.focused, 
.tribe-events .datepicker .month.active, .tribe-events .datepicker .month.active.focused, 
.tribe-events .datepicker .month.active:focus, .tribe-events .datepicker .month.active:hover, 
.tribe-events .datepicker .year.active, .tribe-events .datepicker .year.active.focused, 
.tribe-events .datepicker .year.active:focus, .tribe-events .datepicker .year.active:hover {
	background: {$colors['text_link']};
}

.tribe-events .datepicker .datepicker-switch:active, .tribe-events .datepicker .datepicker-switch:focus, 
.tribe-events .datepicker .datepicker-switch:hover, .tribe-events .datepicker .next:active, 
.tribe-events .datepicker .next:focus, .tribe-events .datepicker .next:hover, 
.tribe-events .datepicker .prev:active, .tribe-events .datepicker .prev:focus, 
.tribe-events .datepicker .day.active:focus, .tribe-events .datepicker .day.active:hover, 
.tribe-events .datepicker .prev:hover {
	background: {$colors['text_hover']} !important;
}

.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date, 
.tribe-events .tribe-events-calendar-month__day--current .tribe-events-calendar-month__day-date-link {
	color: {$colors['text_link']} ;
}

.tribe-common-h3.tribe-common-h--alt.tribe-events-c-top-bar__datepicker-button {
	color: {$colors['text_link']};
	background-color: transparent;
}
.tribe-common-h3.tribe-common-h--alt.tribe-events-c-top-bar__datepicker-button:hover {
	color: {$colors['text_hover']} !important;
	background-color: transparent !important;
}

.tribe-events .tribe-events-c-small-cta__price {
	color: {$colors['text_link']} ;
}
.tribe-common .tribe-events-calendar-list__event-date-tag-daynum.tribe-common-h5 {
	color: {$colors['text_hover']} ;
}
.tribe-events .tribe-events-calendar-list__event-date-tag-weekday {
	color: {$colors['text_hover']};
}

.tribe-events-sub-nav li.tribe-events-nav-previous a,
.tribe-events-sub-nav li.tribe-events-nav-next a {
	background: {$colors['text_link']};
	color: {$colors['inverse_link']};
}
.tribe-events-sub-nav li.tribe-events-nav-previous a:hover,
.tribe-events-sub-nav li.tribe-events-nav-next a:hover {
	background: {$colors['text_hover']};
	color: {$colors['inverse_link']};
}

.tribe-events-c-nav__list-item.tribe-events-c-nav__list-item--prev .tribe-events-c-nav__prev,
.tribe-events-c-nav__list-item.tribe-events-c-nav__list-item--next .tribe-events-c-nav__next {
	color: {$colors['text_link']};
}
.tribe-events-c-nav__list-item.tribe-events-c-nav__list-item--prev .tribe-events-c-nav__prev:hover,
.tribe-events-c-nav__list-item.tribe-events-c-nav__list-item--next .tribe-events-c-nav__next:hover {
	color: {$colors['text_hover']} ;
}

.tribe-common .tribe-events-calendar-month__day-cell.tribe-events-calendar-month__day-cell--mobile {
	background-color: {$colors['alter_bg_color']} ;
}

.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input{
	border-color: {$colors['input_bd_color']} ;
}

.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input[placeholder] {
	color: {$colors['text']};
}
.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input::-webkit-input-placeholder {
	color: {$colors['text']};
}
.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input::-moz-placeholder {
	color: {$colors['text']};
}
.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input:-ms-input-placeholder  {
	color: {$colors['text']};
}

.tribe-common--breakpoint-medium.tribe-common .tribe-common-form-control-text__input:focus{
	border-color: {$colors['input_bd_hover']} ;
}

#tribe-events .tribe-events-cal-links a.tribe-events-gcal, 
#tribe-events .tribe-events-cal-links a.tribe-events-ical {
	background-color: {$colors['text_link']} ;
}
#tribe-events .tribe-events-cal-links a.tribe-events-gcal:hover, 
#tribe-events .tribe-events-cal-links a.tribe-events-ical:hover {
	background-color: {$colors['text_hover']} ;
}

.tribe-common--breakpoint-medium.tribe-common .tribe-common-b3 {
	color: {$colors['text_dark']};
}

.tribe-events-calendar-list__event-title {
	color: {$colors['text']};
}
.tribe-events-calendar-list__event-venue {
	color: {$colors['text_dark']};
}
.tribe-events-calendar-list__event-description {
	color: {$colors['text']};
}
.tribe-events-calendar-day__event-description.tribe-common-b2,
.tribe-events-calendar-month__calendar-event-tooltip-description.tribe-common-b3 {
	color: {$colors['text']};
}
.tribe-events .datepicker .day.focused, .tribe-events .datepicker .day:focus, 
.tribe-events .datepicker .day:hover, .tribe-events .datepicker .month.focused, 
.tribe-events .datepicker .month:focus, .tribe-events .datepicker .month:hover, 
.tribe-events .datepicker .year.focused, .tribe-events .datepicker .year:focus, 
.tribe-events .datepicker .year:hover {
	color: {$colors['inverse_hover']} !important;
    background: {$colors['text_hover']} !important;
}
.tribe-events .datepicker .day.active,
.tribe-events .datepicker .day.active:hover {
	color: {$colors['inverse_hover']};
	background: {$colors['text_link']} !important;
}
.tribe-common .tribe-common-b2, .tribe-common .tribe-common-h7, .tribe-common .tribe-common-h8 {
	color: {$colors['text_dark']};
}
.tribe-common--breakpoint-medium.tribe-events .tribe-events-calendar-list__event-description.tribe-common-b2,
.tribe-events-calendar-day__event-details .tribe-events-calendar-day__event-description.tribe-common-b2 {
	color: {$colors['text']};
}
.single-tribe_events .tribe-events-meta-group .tribe-events-single-section-title {
	color: {$colors['text_link']} ;
}
.tribe-common .tribe-common-anchor-thin-alt {
	border-color: {$colors['text_link']} ;
}
.tribe-common .tribe-common-anchor-thin-alt:hover {
	border-color: {$colors['text_hover']} ;
}

.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-top-bar__today-button {
	color: {$colors['inverse_hover']};
	background: {$colors['text_link']};
}

.tribe-common--breakpoint-medium.tribe-events .tribe-events-c-top-bar__today-button:hover {
	color: {$colors['inverse_hover']};
	background: {$colors['text_hover']};
}

.tribe-events .datepicker .day.past,
.tribe-events .datepicker .month.past,
.tribe-events .datepicker .year.past,
.tribe-events .datepicker .past {
	color: {$colors['text_light']};
}

.tribe-events .datepicker .day,
.tribe-events .datepicker .month,
.tribe-events .datepicker .year {
	color: {$colors['text_dark']};
}

.tribe-events .datepicker .next .tribe-events-c-top-bar__datepicker-nav-icon-svg path,
.tribe-events .datepicker .prev .tribe-events-c-top-bar__datepicker-nav-icon-svg path {
	fill: {$colors['inverse_link']};
}

.tribe-common .tribe-common-c-svgicon--messages-not-found path {
	stroke: {$colors['text_dark']};
}
.tribe-common .tribe-common-c-svgicon__svg-fill,
.tribe-events .tribe-events-c-events-bar__search-button-icon-svg path {
	fill: {$colors['text_dark']};
}
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__list-item:hover,
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__list {
	background-color: {$colors['alter_bg_color']};
}
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__list-item a {
	color: {$colors['text_dark']};
}
.tribe-events .tribe-events-c-subscribe-dropdown .tribe-events-c-subscribe-dropdown__list-item a:hover {
	color: {$colors['text_link2']};
}

.tribe-events-event-meta a:visited,
.tribe-events-event-meta a:focus, 
.tribe-events-event-meta a:hover {
	color: {$colors['text_hover']};
}

CSS;
		}

		return $css;
	}
}

