<?php
/**
 * The Sidebar containing the main widget areas.
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */

if ( yungen_sidebar_present() ) {
	ob_start();
	$yungen_sidebar_name = yungen_get_theme_option( 'sidebar_widgets' );
	yungen_storage_set( 'current_sidebar', 'sidebar' );
	if ( is_active_sidebar( $yungen_sidebar_name ) ) {
		dynamic_sidebar( $yungen_sidebar_name );
	}
	$yungen_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $yungen_out ) ) {
		$yungen_sidebar_position    = yungen_get_theme_option( 'sidebar_position' );
		$yungen_sidebar_position_ss = yungen_get_theme_option( 'sidebar_position_ss' );
		?>
		<div class="sidebar widget_area
			<?php
			echo ' ' . esc_attr( $yungen_sidebar_position );
			echo ' sidebar_' . esc_attr( $yungen_sidebar_position_ss );

			if ( 'float' == $yungen_sidebar_position_ss ) {
				echo ' sidebar_float';
			}
			if ( !empty ( yungen_get_theme_option( 'sidebar_scheme' ) ) && ! yungen_is_inherit( yungen_get_theme_option( 'sidebar_scheme' ) ) ) {
				echo ' scheme_' . esc_attr( yungen_get_theme_option( 'sidebar_scheme' ) );
			}
			?>
		" role="complementary">
			<?php
			// Single posts banner before sidebar
			yungen_show_post_banner( 'sidebar' );
			// Button to show/hide sidebar on mobile
			if ( in_array( $yungen_sidebar_position_ss, array( 'above', 'float' ) ) ) {
				$yungen_title = apply_filters( 'yungen_filter_sidebar_control_title', 'float' == $yungen_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'yungen' ) : '' );
				$yungen_text  = apply_filters( 'yungen_filter_sidebar_control_text', 'above' == $yungen_sidebar_position_ss ? esc_html__( 'Show Sidebar', 'yungen' ) : '' );
				?>
				<a href="#" class="sidebar_control" title="<?php echo esc_attr( $yungen_title ); ?>"><?php echo esc_html( $yungen_text ); ?></a>
				<?php
			}
			?>
			<div class="sidebar_inner">
				<?php
				do_action( 'yungen_action_before_sidebar' );
				yungen_show_layout( preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $yungen_out ) );
				do_action( 'yungen_action_after_sidebar' );
				?>
			</div><!-- /.sidebar_inner -->
		</div><!-- /.sidebar -->
		<div class="clearfix"></div>
		<?php
	}
}
