<?php
/**
 * The template to display default site footer
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0.10
 */

$yungen_footer_id = yungen_get_custom_footer_id();
$yungen_footer_meta = get_post_meta( $yungen_footer_id, 'trx_addons_options', true );
if ( ! empty( $yungen_footer_meta['margin'] ) ) {
	yungen_add_inline_css( sprintf( '.page_content_wrap{padding-bottom:%s}', esc_attr( yungen_prepare_css_value( $yungen_footer_meta['margin'] ) ) ) );
}
?>
<footer class="footer_wrap footer_custom footer_custom_<?php echo esc_attr( $yungen_footer_id ); ?> footer_custom_<?php echo esc_attr( sanitize_title( get_the_title( $yungen_footer_id ) ) ); ?>
						<?php
						if ( ! yungen_is_inherit( yungen_get_theme_option( 'footer_scheme' ) ) ) {
							echo ' scheme_' . esc_attr( yungen_get_theme_option( 'footer_scheme' ) );
						}
						?>
						">
	<?php
	// Custom footer's layout
	do_action( 'yungen_action_show_layout', $yungen_footer_id );
	?>
</footer><!-- /.footer_wrap -->
