<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0.10
 */

// Footer sidebar
$yungen_footer_name    = yungen_get_theme_option( 'footer_widgets' );
$yungen_footer_present = ! yungen_is_off( $yungen_footer_name ) && is_active_sidebar( $yungen_footer_name );
if ( $yungen_footer_present ) {
	yungen_storage_set( 'current_sidebar', 'footer' );
	$yungen_footer_wide = yungen_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $yungen_footer_name ) ) {
		dynamic_sidebar( $yungen_footer_name );
	}
	$yungen_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $yungen_out ) ) {
		$yungen_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $yungen_out );
		$yungen_need_columns = true;   //or check: strpos($yungen_out, 'columns_wrap')===false;
		if ( $yungen_need_columns ) {
			$yungen_columns = max( 0, (int) yungen_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $yungen_columns ) {
				$yungen_columns = min( 4, max( 1, yungen_tags_count( $yungen_out, 'aside' ) ) );
			}
			if ( $yungen_columns > 1 ) {
				$yungen_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $yungen_columns ) . ' widget', $yungen_out );
			} else {
				$yungen_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $yungen_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $yungen_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $yungen_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'yungen_action_before_sidebar' );
				yungen_show_layout( $yungen_out );
				do_action( 'yungen_action_after_sidebar' );
				if ( $yungen_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $yungen_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
