<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0.06
 */

$yungen_header_css   = '';
$yungen_header_image = get_header_image();
$yungen_header_video = yungen_get_header_video();
if ( ! empty( $yungen_header_image ) && yungen_trx_addons_featured_image_override( is_singular() || yungen_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$yungen_header_image = yungen_get_current_mode_image( $yungen_header_image );
}

$yungen_header_id = yungen_get_custom_header_id();
$yungen_header_meta = get_post_meta( $yungen_header_id, 'trx_addons_options', true );
if ( ! empty( $yungen_header_meta['margin'] ) ) {
	yungen_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( yungen_prepare_css_value( $yungen_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $yungen_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $yungen_header_id ) ) ); ?>
				<?php
				echo ! empty( $yungen_header_image ) || ! empty( $yungen_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $yungen_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $yungen_header_image ) {
					echo ' ' . esc_attr( yungen_add_inline_css_class( 'background-image: url(' . esc_url( $yungen_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( yungen_is_on( yungen_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight yungen-full-height';
				}
				if ( ! yungen_is_inherit( yungen_get_theme_option( 'header_scheme' ) ) ) {
					echo ' scheme_' . esc_attr( yungen_get_theme_option( 'header_scheme' ) );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $yungen_header_video ) ) {
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'yungen_action_show_layout', $yungen_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
