<?php
/**
 * The template to display default site header
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */

$yungen_header_css   = '';
$yungen_header_image = get_header_image();
$yungen_header_video = yungen_get_header_video();
if ( ! empty( $yungen_header_image ) && yungen_trx_addons_featured_image_override( is_singular() || yungen_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$yungen_header_image = yungen_get_current_mode_image( $yungen_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $yungen_header_image ) || ! empty( $yungen_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $yungen_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $yungen_header_image ) {
		echo ' ' . esc_attr( yungen_add_inline_css_class( 'background-image: url(' . esc_url( $yungen_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( yungen_is_on( yungen_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight yungen-full-height';
	}
	if ( ! yungen_is_inherit( yungen_get_theme_option( 'header_scheme' ) ) ) {
		echo ' scheme_' . esc_attr( yungen_get_theme_option( 'header_scheme' ) );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $yungen_header_video ) ) {
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	if ( yungen_get_theme_option( 'menu_style' ) == 'top' ) {
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-navi' ) );
	}

	// Mobile header
	if ( yungen_is_on( yungen_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-mobile' ) );
	}

    // Page title and breadcrumbs area
    get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-title' ) );

	if ( !is_single() || ( yungen_get_theme_option( 'post_header_position' ) == 'default' && yungen_get_theme_option( 'post_thumbnail_type' ) == 'default' ) ) {
		// Display featured image in the header on the single posts
		// Comment next line to prevent show featured image in the header area
		// and display it in the post's content
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-single' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
