<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */

$yungen_args = get_query_var( 'yungen_logo_args' );

// Site logo
$yungen_logo_type   = isset( $yungen_args['type'] ) ? $yungen_args['type'] : '';
$yungen_logo_image  = yungen_get_logo_image( $yungen_logo_type );
$yungen_logo_text   = yungen_is_on( yungen_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$yungen_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $yungen_logo_image['logo'] ) || ! empty( $yungen_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $yungen_logo_image['logo'] ) ) {
			if ( empty( $yungen_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $yungen_logo_image['logo'] ) && (int) $yungen_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$yungen_attr = yungen_getimagesize( $yungen_logo_image['logo'] );
				echo '<img src="' . esc_url( $yungen_logo_image['logo'] ) . '"'
						. ( ! empty( $yungen_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $yungen_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $yungen_logo_text ) . '"'
						. ( ! empty( $yungen_attr[3] ) ? ' ' . wp_kses_data( $yungen_attr[3] ) : '' )
						. '>';
			}
		} else {
			yungen_show_layout( yungen_prepare_macros( $yungen_logo_text ), '<span class="logo_text">', '</span>' );
			yungen_show_layout( yungen_prepare_macros( $yungen_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
