<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr( yungen_get_theme_option( 'menu_mobile_fullscreen' ) > 0 ? 'fullscreen' : 'narrow' ); echo esc_attr( strpos( yungen_get_theme_option('color_scheme'), 'aqua_') !== false ) ? ( ' scheme_aqua_dark' ) : ( ' scheme_dark' ); ?>">
	<div class="menu_mobile_inner">
		<a class="menu_mobile_close icon-cancel"></a>
		<?php

		// Logo
		set_query_var( 'yungen_logo_args', array( 'type' => 'mobile' ) );
		get_template_part( apply_filters( 'yungen_filter_get_template_part', 'templates/header-logo' ) );
		set_query_var( 'yungen_logo_args', array() );

		// Mobile menu
		$yungen_menu_mobile = yungen_get_nav_menu( 'menu_mobile' );
		if ( empty( $yungen_menu_mobile ) ) {
			$yungen_menu_mobile = apply_filters( 'yungen_filter_get_mobile_menu', '' );
			if ( empty( $yungen_menu_mobile ) ) {
				$yungen_menu_mobile = yungen_get_nav_menu( 'menu_main' );
				if ( empty( $yungen_menu_mobile ) ) {
					$yungen_menu_mobile = yungen_get_nav_menu();
				}
			}
		}
		if ( ! empty( $yungen_menu_mobile ) ) {
			$yungen_menu_mobile = str_replace(
				array( 'menu_main',   'id="menu-',        'sc_layouts_menu_nav', 'sc_layouts_menu ', 'sc_layouts_hide_on_mobile', 'hide_on_mobile' ),
				array( 'menu_mobile', 'id="menu_mobile-', '',                    ' ',                '',                          '' ),
				$yungen_menu_mobile
			);
			if ( strpos( $yungen_menu_mobile, '<nav ' ) === false ) {
				$yungen_menu_mobile = sprintf( '<nav class="menu_mobile_nav_area" itemscope itemtype="//schema.org/SiteNavigationElement">%s</nav>', $yungen_menu_mobile );
			}
			yungen_show_layout( apply_filters( 'yungen_filter_menu_mobile_layout', $yungen_menu_mobile ) );
		}

		// Social icons
		yungen_show_layout( yungen_get_socials_links(), '<div class="socials_mobile">', '</div>' );
		?>
	</div>
</div>
