<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */

// Page (category, tag, archive, author) title

if ( yungen_need_page_title() ) {
	yungen_sc_layouts_showed( 'title', true );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal sc_layouts_row_delimiter">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( false && is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								yungen_show_post_meta(
									apply_filters(
										'yungen_filter_post_meta_args', array(
											'components' => yungen_array_get_keys_by_value( yungen_get_theme_option( 'meta_parts' ) ),
											'counters'   => yungen_array_get_keys_by_value( yungen_get_theme_option( 'counters' ) ),
											'seo'        => yungen_is_on( yungen_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$yungen_blog_title           = yungen_get_blog_title();
							$yungen_blog_title_text      = '';
							$yungen_blog_title_class     = '';
							$yungen_blog_title_link      = '';
							$yungen_blog_title_link_text = '';
							if ( is_array( $yungen_blog_title ) ) {
								$yungen_blog_title_text      = $yungen_blog_title['text'];
								$yungen_blog_title_class     = ! empty( $yungen_blog_title['class'] ) ? ' ' . $yungen_blog_title['class'] : '';
								$yungen_blog_title_link      = ! empty( $yungen_blog_title['link'] ) ? $yungen_blog_title['link'] : '';
								$yungen_blog_title_link_text = ! empty( $yungen_blog_title['link_text'] ) ? $yungen_blog_title['link_text'] : '';
							} else {
								$yungen_blog_title_text = $yungen_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $yungen_blog_title_class ); ?>">
								<?php
								$yungen_top_icon = yungen_get_term_image_small();
								if ( ! empty( $yungen_top_icon ) ) {
									$yungen_attr = yungen_getimagesize( $yungen_top_icon );
									?>
									<img src="<?php echo esc_url( $yungen_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'yungen' ); ?>"
										<?php
										if ( ! empty( $yungen_attr[3] ) ) {
											yungen_show_layout( $yungen_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses( $yungen_blog_title_text, 'yungen_kses_content' );
								?>
							</h1>
							<?php
							if ( ! empty( $yungen_blog_title_link ) && ! empty( $yungen_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $yungen_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $yungen_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
                        <?php

						// Breadcrumbs
                        if (yungen_exists_trx_addons()) {
						    ?><div class="sc_layouts_title_breadcrumbs"><?php
							    do_action( 'yungen_action_breadcrumbs' );
							?></div><?php
                        } ?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
