<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage YUNGEN
 * @since YUNGEN 1.0
 */

// Header sidebar
$yungen_header_name    = yungen_get_theme_option( 'header_widgets' );
$yungen_header_present = ! yungen_is_off( $yungen_header_name ) && is_active_sidebar( $yungen_header_name );
if ( $yungen_header_present ) {
	yungen_storage_set( 'current_sidebar', 'header' );
	$yungen_header_wide = yungen_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $yungen_header_name ) ) {
		dynamic_sidebar( $yungen_header_name );
	}
	$yungen_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $yungen_widgets_output ) ) {
		$yungen_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $yungen_widgets_output );
		$yungen_need_columns   = strpos( $yungen_widgets_output, 'columns_wrap' ) === false;
		if ( $yungen_need_columns ) {
			$yungen_columns = max( 0, (int) yungen_get_theme_option( 'header_columns' ) );
			if ( 0 == $yungen_columns ) {
				$yungen_columns = min( 6, max( 1, yungen_tags_count( $yungen_widgets_output, 'aside' ) ) );
			}
			if ( $yungen_columns > 1 ) {
				$yungen_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $yungen_columns ) . ' widget', $yungen_widgets_output );
			} else {
				$yungen_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $yungen_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $yungen_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $yungen_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'yungen_action_before_sidebar' );
				yungen_show_layout( $yungen_widgets_output );
				do_action( 'yungen_action_after_sidebar' );
				if ( $yungen_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $yungen_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
